Bug 683548 - has two active workspaces
has two active workspaces
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F15Beta-accepted/F15BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2011-03-09 12:00 EST by Bill Nottingham
Modified: 2014-09-30 19:39 EDT (History)
9 users (show)

See Also:
Fixed In Version: lorax-0.3.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-23 00:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-03-09 12:00:15 EST
Description of problem:

Most easily noticed when using virt, and a stray alt-tab happens to hit the focused VM.

anaconda appears locked to both, so it may not have any functional issues, but it seems a bit weird.

Version-Release number of selected component (if applicable):

15.20.1

How reproducible:

100%

Steps to Reproduce:
1. Happen to hit alt-tab
2. See the workspace dialog
  
Additional info:

This was a lorax-built tree, FWIW.
Comment 1 Ales Kozumplik 2011-03-16 04:21:21 EDT
Patch is awaiting review:

https://www.redhat.com/archives/anaconda-devel-list/2011-March/msg00203.html

This is a low risk change, I am proposing this as an F15 nice-to-have.
Comment 2 Ales Kozumplik 2011-03-16 10:52:47 EDT
Fixed rawhide: f851fc4636269a0f6a18bcd2f876d374c6e675f5.
Comment 3 Adam Williamson 2011-03-18 14:43:21 EDT
Discussed at 2011-03-18 blocker/NTH review meeting, we agreed this is a low-impact fix and worth taking for Beta if anaconda team decides to pull it. AcceptedNTH.
Comment 4 Ales Kozumplik 2011-03-21 03:58:47 EDT
Fixed f15-branch: 80035c6b7b4a2b802c597ce6775a11620240f3ab
Comment 5 Fedora Update System 2011-03-21 10:01:37 EDT
lorax-0.3.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lorax-0.3.2-1.fc15
Comment 6 Tim Flink 2011-03-21 16:00:56 EDT
The update does not appear to fix this issue. When installing with a custom boot.iso created with updated lorax, I still see multiple workspaces.

Alt-tab does not change workspaces during installation, if that is the original bug.

To reproduce:
Install with anaconda
Use ctrl-alt- <arrow keys> to switch between multiple workspaces during the install process.

Effect:
Switch between workspaces with identical content, a little strange but not a functional impact.
Comment 7 Ales Kozumplik 2011-03-22 03:34:30 EDT
(In reply to comment #6)
> The update does not appear to fix this issue. When installing with a custom
> boot.iso created with updated lorax, I still see multiple workspaces.
> 
> Alt-tab does not change workspaces during installation, if that is the original
> bug.
> 
> To reproduce:
> Install with anaconda
> Use ctrl-alt- <arrow keys> to switch between multiple workspaces during the
> install process.
> 
> Effect:
> Switch between workspaces with identical content, a little strange but not a
> functional impact.

Hi,

this is not what I am seeing. I fetched this boot.iso:
http://jlaska.fedorapeople.org/boot.iso

the timestamp says:
boot.iso                21-Mar-2011 22:51  282M

alt-tab does nothing for me, ctrl-alt-right displays the workspace switcher but does not allow to switch workspace as there's only Workspace 1. What machine were you testing this on virt or physical?

Ales
Comment 8 Tim Flink 2011-03-22 11:31:12 EDT
My apologies, there was a version mixup on the iso that I used to test. After downloading an updated iso, this is indeed fixed.
Comment 9 Fedora Update System 2011-03-23 00:58:37 EDT
lorax-0.3.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.